This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 86566 - "Error while saving palette settings" when changing platform
Summary: "Error while saving palette settings" when changing platform
Status: CLOSED WONTFIX
Alias: None
Product: javame
Classification: Unclassified
Component: CDC pack (show other bugs)
Version: 5.x
Hardware: All All
: P3 blocker (vote)
Assignee: Martin Ryzl
URL:
Keywords: RELNOTE
Depends on: 89886
Blocks:
  Show dependency tree
 
Reported: 2006-10-05 12:42 UTC by Lukas Hasik
Modified: 2009-01-15 13:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
INFO: Error while saving palette settings. (1.19 KB, text/plain)
2006-10-05 12:43 UTC, Lukas Hasik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2006-10-05 12:42:34 UTC
cdc pack beta2

-have open Design view of and UI component of project
-change platform of the project - CDC TK -> OK -> SEMC -> OK -> CDC TK -> OK

INFO message will appear in console/messages.log
Oct 5, 2006 1:38:12 PM org.netbeans.modules.palette.DefaultSettings store
INFO: Error while saving palette settings.
org.openide.filesystems.FileAlreadyLockedException:
PaletteSettings/FormDesignerPalette.settings
	at org.openide.filesystems.MultiFileObject.lock(MultiFileObject.java:562)
	at org.netbeans.modules.palette.DefaultSettings.store(DefaultSettings.java:301)
	at org.netbeans.modules.palette.DefaultSettings.run(DefaultSettings.java:236)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:499)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:932)
Comment 1 Lukas Hasik 2006-10-05 12:43:20 UTC
Created attachment 34914 [details]
INFO: Error while saving palette settings.
Comment 2 luky 2006-11-22 17:10:40 UTC
It is a problem in palette module of core. See issue 89886. It won't be fixed 
in 5.5 so we should mention it in release notes. 
Comment 3 Lukas Hasik 2006-11-22 19:55:34 UTC
should be noticed in Release Notes
Comment 4 Lukas Hasik 2006-12-05 21:36:30 UTC
verified in 061205 build
Comment 5 Ivan Sidorkin 2009-01-15 13:37:40 UTC
closing old issues